Package twisted :: Package news :: Module news :: Class UsenetClientFactory |
[frames | no frames]

## Class UsenetClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   UsenetClientFactory

Method Summary
| `__init__(self, groups, storage)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| `updateChecks(self, addr)`
Inherited from ClientFactory
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason) Called when a connection has failed. It may be useful to call connector.connect() - this will reconnect. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

### clientConnectionLost(self, connector, reason) Called when a connection is lost. It may be useful to call connector.connect() - this will reconnect. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.ClientFactory.clientConnectionLost` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net